import java.awt.*;
import javax.swing.*;

public class UpDownDuke extends JApplet
{
	private static final int SCREEN_WIDTH = 70;
	private static final int SCREEN_HEIGHT = 120;
	private Image dukeImage;
	private int dukeY;
	private int dukeYStep = 1;
	private int dukeHeight;
	private Image backBuffer;
	
	public void init()
	{
		dukeImage = new ImageIcon("duke.gif").getImage();
		dukeHeight = dukeImage.getHeight(null);
		backBuffer = createVolatileImage(SCREEN_WIDTH, SCREEN_HEIGHT);
	}
	
	public void paint(Graphics g)
	{
		Graphics2D g2 = (Graphics2D)g;
		Graphics2D bg = (Graphics2D)backBuffer.getGraphics();
		bg.setColor(Color.green);
		bg.fillRect(0, 0, SCREEN_WIDTH, SCREEN_HEIGHT);
		bg.drawImage(dukeImage, 0, dukeY, null);
		bg.dispose();
		g2.drawImage(backBuffer, 0, 0, null);
	}
	
	public void showFrame()
	{
		Frame frame = new Frame();
		frame.setUndecorated(true);
		frame.add(this);
		frame.pack();
		init();
		frame.setSize(SCREEN_WIDTH, SCREEN_HEIGHT);
		frame.setVisible(true);
	}
	
	public void run()
	{
		while (true)
		{
			dukeY += dukeYStep;
			if ((dukeY > SCREEN_HEIGHT) || (dukeY < -dukeHeight))
			{
				dukeYStep = -dukeYStep;
			}
			try
			{
				Thread.sleep(5);
			}
			catch (InterruptedException e)
			{
			}
			repaint();
		}
	}
			
	public static void main(String[] args)
	{
		UpDownDuke duke = new UpDownDuke();
		duke.showFrame();
		duke.run();
	}
}
	